#ifndef ATL_ztGetNB_geqrf

/*
 * NB selection for GEQRF: Side='RIGHT', Uplo='UPPER'
 * M : 25,144,216,288,576,648,720,792,864,936,1008,1080,1152
 * N : 25,144,216,288,576,648,720,792,864,936,1008,1080,1152
 * NB : 4,4,24,72,16,72,20,24,72,28,80,72,144
 */
#define ATL_ztGetNB_geqrf(n_, nb_) \
{ \
   if ((n_) < 180) (nb_) = 4; \
   else if ((n_) < 252) (nb_) = 24; \
   else if ((n_) < 432) (nb_) = 72; \
   else if ((n_) < 612) (nb_) = 16; \
   else if ((n_) < 684) (nb_) = 72; \
   else if ((n_) < 756) (nb_) = 20; \
   else if ((n_) < 828) (nb_) = 24; \
   else if ((n_) < 900) (nb_) = 72; \
   else if ((n_) < 972) (nb_) = 28; \
   else if ((n_) < 1044) (nb_) = 80; \
   else if ((n_) < 1116) (nb_) = 72; \
   else (nb_) = 144; \
}


#endif    /* end ifndef ATL_ztGetNB_geqrf */
